Package com.usatiuk.dhfs.peerdiscovery

# Class PeerDiscoveryDirectory

java.lang.Object
com.usatiuk.dhfs.peerdiscovery.PeerDiscoveryDirectory

@ApplicationScoped public class PeerDiscoveryDirectory extends Object

## Constructor Summary

Constructors
Constructor
Description
`PeerDiscoveryDirectory()`

## Method Summary

Modifier and Type
Method
Description
`Collection<PeerAddress>`
`getForPeer(PeerId peer)`
`Collection<PeerId>`
`getReachablePeers()`
`void`
`notifyAddr(PeerAddress addr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PeerDiscoveryDirectory

public PeerDiscoveryDirectory()

## Method Details

### notifyAddr

public void notifyAddr(PeerAddress addr)

### getForPeer

public Collection<PeerAddress> getForPeer(PeerId peer)

### getReachablePeers

public Collection<PeerId> getReachablePeers()